MAC_OS_X_VERSION_MIN_REQUIRED_DOTS is the same as MACOSX_DEPLOYMENT_TARGET

Desktop / LibreOffice - Stephan Bergmann [redhat.com] - 16 February 2020 10:13 EST

Change-Id: I3a725e4681c11f503dae57436b05b5a80ff2979c Reviewed-on: https://gerrit.libreoffice.org/c/core/+/88764

###

diff --git a/config_host.mk.in b/config_host.mk.in
index ef612734da3c..64a1a6627386 100644
--- a/config_host.mk.in
+++ b/config_host.mk.in
@@ -390,7 +390,6 @@ export MACOSX_PACKAGE_SIGNING_IDENTITY=@MACOSX_PACKAGE_SIGNING_IDENTITY@
export MACOSX_SDK_PATH=@MACOSX_SDK_PATH@
export MAC_OS_X_VERSION_MAX_ALLOWED=@MAC_OS_X_VERSION_MAX_ALLOWED@
export MAC_OS_X_VERSION_MIN_REQUIRED=@MAC_OS_X_VERSION_MIN_REQUIRED@
-export MAC_OS_X_VERSION_MIN_REQUIRED_DOTS=@MAC_OS_X_VERSION_MIN_REQUIRED_DOTS@
export MANDIR=@MANDIR@
export MARIADBC_MAJOR=@MARIADBC_MAJOR@
export MARIADBC_MICRO=@MARIADBC_MICRO@
diff --git a/configure.ac b/configure.ac
index ce41a7ebaf80..8df6019cbea1 100644
--- a/configure.ac
+++ b/configure.ac
@@ -2886,7 +2886,6 @@ if test $_os = Darwin; then
AC_MSG_ERROR([with-macosx-version-min-required $with_macosx_version_min_required is not a supported value, supported values are 10.10--15])
;;
esac
- MAC_OS_X_VERSION_MIN_REQUIRED_DOTS=$with_macosx_version_min_required

LIBTOOL=/usr/bin/libtool
INSTALL_NAME_TOOL=install_name_tool
@@ -3031,8 +3030,8 @@ if test $_os = Darwin; then

AC_MSG_CHECKING([whether the linker supports -platform_version])
save_LDFLAGS=$LDFLAGS
- LDFLAGS="$LDFLAGS -Xlinker -platform_version -Xlinker macos \
- -Xlinker $MAC_OS_X_VERSION_MIN_REQUIRED_DOTS -Xlinker 0.0.0"
+ LDFLAGS="$LDFLAGS -Xlinker -platform_version -Xlinker macos -Xlinker $MACOSX_DEPLOYMENT_TARGET \
+ -Xlinker 0.0.0"
AC_LINK_IFELSE([AC_LANG_PROGRAM()],
[AC_MSG_RESULT([yes])
HAVE_MACOS_LD_PLATFORMVERSION=TRUE],
@@ -3042,7 +3041,6 @@ fi
AC_SUBST(MACOSX_SDK_PATH)
AC_SUBST(MACOSX_DEPLOYMENT_TARGET)
AC_SUBST(MAC_OS_X_VERSION_MIN_REQUIRED)
-AC_SUBST(MAC_OS_X_VERSION_MIN_REQUIRED_DOTS)
AC_SUBST(MAC_OS_X_VERSION_MAX_ALLOWED)
AC_SUBST(INSTALL_NAME_TOOL)
AC_SUBST(LIBTOOL) # Note that the macOS libtool command is unrelated to GNU libtool
diff --git a/desktop/Executable_soffice_bin.mk b/desktop/Executable_soffice_bin.mk
index 0d9646c78563..e4f987fd8f13 100644
--- a/desktop/Executable_soffice_bin.mk
+++ b/desktop/Executable_soffice_bin.mk
@@ -31,8 +31,7 @@ ifeq ($(OS)-$(HAVE_MACOS_LD_PLATFORMVERSION),MACOSX-TRUE)
# -_version_min flag", clang/test/Driver/darwin-ld-platform-version-macos.c in particular,
# for the -platform_version that Clang passes by default to new-enough ld):
$(eval $(call gb_Executable_add_ldflags,soffice_bin, \
- -Xlinker -platform_version -Xlinker macos -Xlinker $(MAC_OS_X_VERSION_MIN_REQUIRED_DOTS) \
- -Xlinker 0.0.0 \
+ -Xlinker -platform_version -Xlinker macos -Xlinker $(MACOSX_DEPLOYMENT_TARGET) -Xlinker 0.0.0 \
))
endif

diff --git a/external/curl/ExternalProject_curl.mk b/external/curl/ExternalProject_curl.mk
index 366ff1e39d95..fc5866df6115 100644
--- a/external/curl/ExternalProject_curl.mk
+++ b/external/curl/ExternalProject_curl.mk
@@ -60,7 +60,7 @@ $(call gb_ExternalProject_get_state_target,curl,build):
$(if $(verbose),--disable-silent-rules,--enable-silent-rules) \
$(if $(filter MACOSX,$(OS)),--prefix=/@.__________________________________________________OOO) \
$(if $(filter MACOSX,$(OS)),CFLAGS='$(CFLAGS) \
- -mmacosx-version-min=$(MAC_OS_X_VERSION_MIN_REQUIRED_DOTS)') \
+ -mmacosx-version-min=$(MACOSX_DEPLOYMENT_TARGET)') \
CPPFLAGS='$(curl_CPPFLAGS)' \
LDFLAGS='$(curl_LDFLAGS)' \
ZLIB_CFLAGS='$(ZLIB_CFLAGS)' ZLIB_LIBS='$(ZLIB_LIBS)' \

d06cce83f3e7 MAC_OS_X_VERSION_MIN_REQUIRED_DOTS is the same as MACOSX_DEPLOYMENT_TARGET
config_host.mk.in | 1 -
configure.ac | 6 ++----
desktop/Executable_soffice_bin.mk | 3 +--
external/curl/ExternalProject_curl.mk | 2 +-
4 files changed, 4 insertions(+), 8 deletions(-)

Upstream: cgit.freedesktop.org


  • Share